<?php //to use wp udpate plugin
  $home_id=''; $blog_id=''; $page_id=''; $about_id='';


  // Function to check if a page with a specific title exists
  function page_exists_by_title($title) {
    $page_query = new WP_Query(array(
        'post_type'   => 'page',
        'title'       => $title,
        'post_status' => 'publish',
        'numberposts' => 1
    ));
    
    if ($page_query->have_posts()) {
        // Return the ID of the first matching page
        $page = $page_query->posts[0];
        return $page->ID;
    }
  
    return false; // Return false if no page found
  }

  //Homepage
  $home_title = 'Home';
  if (!page_exists_by_title($home_title)) {
    $home_content = '';
    $home = array(
      'post_type'    => 'page',
      'post_title'   => $home_title,
      'post_content' => $home_content,
      'post_status'  => 'publish',
      'post_author'  => 1,
      'post_name'    => 'home'
    );

    $home_id = wp_insert_post($home);
    
    // Set the home page template
    add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
    
    // Set the static front page
    update_option('page_on_front', $home_id);
    update_option('show_on_front', 'page');

  }else {
    // Get the ID of the existing page
    $home_id = page_exists_by_title($home_title);

    // Set the home page template
    add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
    
    // Set the static front page
    update_option('page_on_front', $home_id);
    update_option('show_on_front', 'page');
  }
  


  // Create a Page if it doesn't exist
  if ( !page_exists_by_title('Page') ) {
    $page_title = 'Page';
    $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel';

    $ot_page = array(
      'post_type'     => 'page',
      'post_title'    => $page_title,
      'post_content'  => $content,
      'post_status'   => 'publish',
      'post_author'   => 1,
      'post_name'     => 'page'
    );
    $page_id = wp_insert_post($ot_page);
  }else {
    // Get the ID of the existing page
    $ot_page = page_exists_by_title('Page');
  }

  if ( !page_exists_by_title('Page Left Sidebar') ) {
    $page_title = 'Page Left Sidebar';
    $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

    $ot_page = array(
      'post_type'     => 'page',
      'post_title'    => $page_title,
      'post_content'  => $content,
      'post_status'   => 'publish',
      'post_author'   => 1,
      'post_name'     => 'page-left'
    );
    $page_id = wp_insert_post($ot_page);

    // Set the page template
    add_post_meta($page_id, '_wp_page_template', 'page-template/left-sidebar.php');
  }else {
    // Get the ID of the existing page
    $ot_page = page_exists_by_title('Page Left Sidebar');
  }

  if ( !page_exists_by_title('Page Right Sidebar') ) {
    $page_title = 'Page Right Sidebar';
    $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

    $ot_page = array(
      'post_type'     => 'page',
      'post_title'    => $page_title,
      'post_content'  => $content,
      'post_status'   => 'publish',
      'post_author'   => 1,
      'post_name'     => 'page-right'
    );
    $page_id = wp_insert_post($ot_page);

    // Set the page template
    add_post_meta($page_id, '_wp_page_template', 'page-template/right-sidebar.php');
  }else {
    // Get the ID of the existing page
    $ot_page = page_exists_by_title('Page Right Sidebar');
  }

  if ( !page_exists_by_title('We Are The Most Well-Known Repair Firm.') ) {
    $page_title = 'We Are The Most Well-Known Repair Firm.';
    $content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum';

    $ot_page = array(
      'post_type'     => 'page',
      'post_title'    => $page_title,
      'post_content'  => $content,
      'post_status'   => 'publish',
      'post_author'   => 1,
      'post_name'     => 'about'
    );
    $about_page_id = wp_insert_post($ot_page);
  }else {
    // Get the ID of the existing page
    $about_page_id = page_exists_by_title('We Are The Most Well-Known Repair Firm.');
  }

  // ------- Create Left Menu --------
  $menuname =  'Main Menu';
  $bpmenulocation = 'primary';
  $menu_exists = wp_get_nav_menu_object( $menuname );

  if (!$menu_exists) {
    // Create the menu
    $menu_id = wp_create_nav_menu($menuname);

    // Add the HOME item
    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'  => __('Home', 'air-conditioning-services'),
        'menu-item-classes' => 'home',
        'menu-item-url'     => home_url('/index.php/home/'),
        'menu-item-status'  => 'publish'
    ));

    // Add the PAGE item
    $parent_page_item_id = wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'  => __('Pages', 'air-conditioning-services'),
        'menu-item-classes' => 'page',
        'menu-item-url'     => home_url('/index.php/page/'),
        'menu-item-status'  => 'publish'
    ));

    // Add the Page Left Sidebar item as a child of PAGE
    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'   => __('Page Left Sidebar', 'air-conditioning-services'),
        'menu-item-classes' => 'page-left',
        'menu-item-url'     => home_url('/index.php/page-left/'),
        'menu-item-status'  => 'publish',
        'menu-item-parent-id' => $parent_page_item_id
    ));

    // Add the Page Right Sidebar item as a child of PAGE
    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'   => __('Page Right Sidebar', 'air-conditioning-services'),
        'menu-item-classes' => 'page-right',
        'menu-item-url'     => home_url('/index.php/page-right/'),
        'menu-item-status'  => 'publish',
        'menu-item-parent-id' => $parent_page_item_id
    ));

    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'  => __('About', 'air-conditioning-services'),
        'menu-item-classes' => 'about',
        'menu-item-url'     => home_url('/index.php/about/'),
        'menu-item-status'  => 'publish'
    ));

    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'  => __('Services', 'air-conditioning-services'),
        'menu-item-classes' => 'news',
        'menu-item-url'     => '#',
        'menu-item-status'  => 'publish'
    ));

    wp_update_nav_menu_item($menu_id, 0, array(
        'menu-item-title'  => __('Contact', 'air-conditioning-services'),
        'menu-item-classes' => 'contact',
        'menu-item-url'     => '#',
        'menu-item-status'  => 'publish'
    ));
    
    // Assign the menu to the desired location if not already assigned
    if (!has_nav_menu($bpmenulocation)) {
        $locations = get_theme_mod('nav_menu_locations');
        $locations[$bpmenulocation] = $menu_id;
        set_theme_mod('nav_menu_locations', $locations);
    }
  }
     
  // --------Header------------------------

  set_theme_mod( 'air_conditioning_services_call_phone_number', '+12 3456789123' );

  set_theme_mod( 'air_conditioning_services_call_phone_number_icon', 'fas fa-phone-volume' ); 

  set_theme_mod( 'air_conditioning_services_location', 'Demos Beach, New York' ); 

  set_theme_mod( 'air_conditioning_services_location_icon', 'fas fa-map-marker-alt' );

  set_theme_mod( 'air_conditioning_services_email_address', 'support@example.com' );

  set_theme_mod( 'air_conditioning_services_email_address_icon', 'far fa-envelope' );

  set_theme_mod( 'air_conditioning_services_header_btn_link', '#' );

  set_theme_mod( 'air_conditioning_services_header_btn_text', 'Get A Quote' );

  // --------Social icons------------------------

  set_theme_mod( 'air_conditioning_services_twitter', 'https://twitter.com/' );

  set_theme_mod( 'air_conditioning_services_linkedin', 'https://www.linkedin.com/' );

  set_theme_mod( 'air_conditioning_services_youtube', 'https://youtube.com/' ); 

  set_theme_mod( 'air_conditioning_services_instagram', 'https://instagram.com/' );

  //-------------- Slider----------------------

  set_theme_mod('air_conditioning_services_slider_count','4');

  $slider_category = wp_create_category('slider-posts');

  for($i=1;$i<=4;$i++){

    $title = 'Trusted Repair Service Is What We Offer.';
    $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.';

    // Create post object
    $my_post = array(
     'post_title'    => wp_strip_all_tags( $title ),
     'post_content'  => $content,
     'post_status'   => 'publish',
     'post_type'     => 'post',
     'post_category' => array($slider_category) 
    );

    $slider_post_id = wp_insert_post($my_post);
  }
  
  set_theme_mod( 'air_conditioning_services_slider_count', '4' );

  set_theme_mod( 'air_conditioning_services_post_setting', 'slider-posts' );

  set_theme_mod( 'air_conditioning_services_slide_heading', 'Since 2012' );

  //-------------- About-----------------------

  set_theme_mod( 'air_conditioning_services_about_us_settigs', $about_page_id );

  set_theme_mod( 'air_conditioning_services_about_icon', 'fas fa-medal' );

  set_theme_mod( 'air_conditioning_services_box_heading', '11 Year Experience' );

  set_theme_mod( 'air_conditioning_services_box_text', 'Lorem Ipsum has been the industry standard dummy text ever since the 1500s' );

  set_theme_mod( 'air_conditioning_services_services_heading', 'About Company' );

  set_theme_mod( 'air_conditioning_services_about_icon_1', 'fas fa-cog' );

  set_theme_mod( 'air_conditioning_services_about_icon1_text', 'Superfast Reliable Service' );

  set_theme_mod( 'air_conditioning_services_about_icon_2', 'fas fa-wrench' );

  set_theme_mod( 'air_conditioning_services_about_icon2_text', 'Properly Repair Solution' );

  set_theme_mod( 'air_conditioning_services_about_call_text', 'Free Consultancy Now' );

  set_theme_mod( 'air_conditioning_services_about_call_no', '+12 3456789123' );

  set_theme_mod( 'air_conditioning_services_about_text_3', 'Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer scrambled a galley of type' );
  
?>